/*
 * $Id: HostStatistics.java,v 1.1 1999/09/14 18:00:06 yamauchi Exp $
 *     (M\pi)^2 : Host Statistics
 *	Copyright 1999 By YAMAUCHI Hitoshi 山内 斉 
 *	@author YAMAUCHI Hitoshi 山内 斉
 *	
 * original source Stat.h
 *
 * 1999年9月13日(月)
 */
package jp.ac.tohoku.is.archi.mpi2.host;

/**
 * Host の統計情報
 */
public final class HostStatistics {
    /*
     * host が受信した PEstat の数
     */
    private double mHostGetPEStats;
    
    public HostStatistics()
    {
        this.init();
    }

    public void init()
    {
        this.mHostGetPEStats = 0.0;
    }

    public void incrGetPEStatsNum() 
    {
	this.mHostGetPEStats++;     
    }

    public String toString() 
    {
	String s = "host. number of receive PEstats " + this.mHostGetPEStats;
	return(s);
    }
}

